MRU in PB 5.0.03

Does anyone know of an easy way to add a Most Recently Used (MRU) list to
the frame menu in PB 5.0.03?

I know that this can be done with the PFC in PB 6.5 and this app will be
migrated to PB 6.51 in the future, but in the mean time, I need this
feature to work in PB 5.

TIA
Chris Altvater
0
Chris
6/16/1999 6:56:16 PM
sybase.powerbuilder.general 62418 articles. 19 followers. Follow

1 Replies
573 Views

Similar Articles

[PageSpeed] 54
Get it on Google Play
Get it on Apple App Store

The most obvious solution is to "borrow" as much as the PFC 6 MRU code as you
can...I don't recall if there is any 6.0 specific code in there.  The objects
that had mru code (or used by) added to them are at least:
pfc_w_master (mru events)
pfc_n_cst_appmanager (turns on mru)
pfc_n_cst_mru (mru service itself)
pfc_n_cst_menu (new function here the mru service uses)
pfc_m_master (new menu items for mru)

Also, look at the most excellent material at
http://www.pfcguide.com/pfcmag/mru_p1.asp.

HTH,
Brian Grimm

Chris Altvater wrote:

> Does anyone know of an easy way to add a Most Recently Used (MRU) list to
> the frame menu in PB 5.0.03?
>
> I know that this can be done with the PFC in PB 6.5 and this app will be
> migrated to PB 6.51 in the future, but in the mean time, I need this
> feature to work in PB 5.
>
> TIA
> Chris Altvater

0
Brian
6/17/1999 2:31:09 PM
Reply:

Similar Artilces:

PB 5.0.03 and PB 5.0.04
Hi. Do I need to install PB 5.0.03 and after PB 5.0.04 or I can just install PB 5.0.04 ? You can just install 5.0.04. Make a backup of your pbls prior to installing 5.0.04 in case you need to revert back to the current version. hth, Anthony M. Perugini President Forte Information Systems, Inc. www.ConsultForte.com Having a Bad Day? www.ConsultForte.com/Disgruntled.htm Kleber Pimentel Koti wrote in message ... >Hi. >Do I need to install PB 5.0.03 and after PB 5.0.04 or I can just install PB >5.0.04 ? > > ...

Are you using PB 5.0.03 version of PBODB050.DLL with PB 5.0.04??
PB 5.0.04 applications connected to SQL Anywhere 5.5 will GPF on disconnect when ODBC 3.5 or greater is installed. I believe this may only happen for win95 as opposed NT/98. Replacing PBODB050.DLL with the PB 5.0.03 version has been a common 'folk remedy'. We have just discovered a problematic side-effect: If instead of connecting to SA 5.5, you connect to SA 7, and your PB application uses datawindows which retrieve through calls to Stored Procedures, then such a retrieve produces a database error: Select error: SQLSTATE = S1009 [Sybase][ODBC Driver]Invalid use o...

Triggers in SQL Anywhere 5.5.0 and PowerBuilder 5.0.03
Hi: I'm trying to get a series of triggers working, but am having lots of difficulties. Initially, the following trigger did not update the 'product' table on an insert. create trigger ti_inventory after insert on inventory referencing new as new_inventory for each row begin update product set product.current_in_stock = product.current_in_stock + new_inventory.qty_new + new_inventory.qty_used_excl + new_inventory.qty_used_good + new_inventory.qty_used_poor where product.product_code = new_inventory.product_code end; I tried to put other commands into the t...

GPF in of_getitemany using PB 5.0.03/PFC 5.0.03 with 32 bit exe's
Hello all, I have just spent the day tracing a GPF right down into PFC, and I have found a problem which I cannot resolve. Basically, on insert of a row into a child DW, of_getitemany is called as part of the required column service (which is called from the itemerror service). of_getitemany (al_row, as_column) is called on the newly inserted row for a decimal column This function then calls of_GetItemany ( al_row, as_column, Primary!, FALSE ) getitemdecimal is then called on the datawindow and returns null I have placed a beep statement before the return statement at th...

Migrating from PB v5 to v5.0.02 and from 5.0.02 to 5.0.03.
Hello, 2 customers have requested information on how to migrate from PowerBuilder v5 to 5.0.02 and from 5.0.02 to 5.0.03. Can anyone offer advice? Do they both need to call Technical Support? I've looked in our Technical Information Library and entering requests via Query Builder yields nothing. Thank you very much. Deborah (Information Products Group) Deborah Blakeney wrote: > > Hello, > > 2 customers have requested information on how to migrate > from PowerBuilder v5 to 5.0.02 and from 5.0.02 to 5.0.03. Can > anyone offer advice? Do the...

Migrate from PB 5.0.03 to 5.0.04
--------------C1E58613E9D89D454B249812 Content-Type: text/plain; charset=us-ascii Content-Transfer-Encoding: 7bit Background For the seek of Y2K compliance, we are about to migrate our application from PB 5.0.03 to 5.0.04. We have used PFC 5.0.03 to build the application with some customization in the pfe*.pbl libraries. Questions Q1. Are there any Y2K related bugs being fixed from PFC 5.0.03 to 5.0.04 ? Q2. If we have decided to migrate from PB 5.0.03 to 5.0.04, is it we must also migrate the PFC 5.0.03 to 5.0.04 ? In order to avoid any functional impact, except for...

5.0.03 PFC with 5.0.02 PB
Our group would like to upgrade to 5.0.03 because of the bug fixes for the PFC pbls, but we are hesitant due to the regression errors in 5.0.03 PowerBuilder. Is there any reason we couldn't upgrade our PFC pbls to 5.0.03 but keep our PowerBuilder at 5.0.02? I would expect it to work fine, but would like to get other opinions. TIA -Jay Paulsen Running 16 bit PB under NT 4.0, we ran PB 5.0.02 with PFC 5.0.00 for a few months of development and had no problems related to the different versions. Eventually we did re-synch. The only re-synching problems we had were a coup...

Problems migrating from PB 5.0.03 to PB 6.5
I am having problems running the my application after migrating it to PB 6.5. The application was migrated successfully. Then, I added all the new PFC objects and PBLs as per the guidelines provided by Sybase. The full rebuild was also successful except for a few warnings about instance variables of local structure type being implicit in the next release. However, when I start up the application and try to open any screen having datawindows, it crashes with Dr. Watson's error. Did anybody have a similar experience? Any help in this regard would be greatly appreciated. T...

Running PB 4.0.06 and PB 5.0.03
We are running Sql Server 6.5. I have been doing maintenance on older apps using PB 4.0.06 and (finally) have a chance to do some new development. PB 4 and PB 5 were running smoothly on the same machine. We were using Named Pipes as our dll. Last week , after I re-installed MS SQL Enterprise Manager and changing to TCP/IP, PB 5 is running smoothly and can connect to both our old and new databases. PB 4 cannot see anything and is giving the following error message - "Db-library network communication layer not loaded." Duh ??? All the dll's are in my search p...

Is it possible to take a PB 6.5 window and make it work in PB 5.0.03?
I have a response window that was created using PB 6.5 and would like to deploy this window in a PB 5.0.03 environment ... it is not a pfc window .... is there any way to (maybe export it?) make this window work with a PB 5.0 application (i have both PB 6.5 and PB 5.0 on my machine. In article <367140B2.6E37@mayo.edu>, ttheisen@mayo.edu says... > >I have a response window that was created using PB 6.5 and would like to >deploy this window in a PB 5.0.03 environment ... it is not a pfc window >... is there any way to (maybe export it?) make this window work with a &g...

PowerBuilder 5.0 to 5.0.0.2
I hope this the correct venue for this question. I have a fresh install of PB 5.0 and I need to upgrade it to 5.0.0.2. I have found plenty of reference/downloads to 5.0.0.4 on the sybase website, but I need to go from 5.0 to 5.0.0.2. Where can I download the correct patch/upgrade? Thanks 5.0.0.2 is no longer available. You can choose between 5.0.03 (bug infested) and 5.0.04 (stable). -- pbm_hopethishelps, Roy Kiesler [TeamSybase] Sybase Developer Network (SDN) - http://sdn.sybase.com MySybase - http://my.sybase.com "Dwayne Bordelon" <dwayne.bordelon@shawinc...

Distributed PB under PB 5.0.03
Has anyone else run into a problem with their distributed PB applications after applying the PB 5.0.02 or 5.0.03 maintenance patches? My client side application which runs properly under 5.0.0 has a problem connecting to the server side app after either of the maintenance patches are applied. The connection object's ConnectToServer() functions fails with the following error, errcode 35 "error calling external object function ConnectBegin". Here is what the trace logs look like. Server Side: DWS 0106 Server RPC DWS 0106 Create server thread - 0F1 DWS 0F1 C...

PB 5.0.03 Pro Win95, SqlAny 5.5, RPC in ODBC
I am having trouble getting a Remote Procedure call to work in PB 5.0.03. I am using the Win95 Professional edition with SQLany 5.5 and an ODBC connection. The docs seem to say that I can use Stored Procedures with SQLAnywhere and ODBC. I tried to set them up as shown in the book, with the transaction object's External Local prototypes, and the right permissions on the SP. When I try to call it from my code with SQLCA.ProcName(), I get the following error: Database Interface does not support Remote Procedure Calls. I have two OUT parms. It sounds a lot like I either ...

PB 5.0 to PB 6.5, 7.x, 8.0??
I have a client who needs to move from an initial PB 5.0 release (no patches applied) to a newer version of PB. This is a small internal application but they would like to open it up via the internet in the future. They are currently running on a SQL Anywhere DB but would be looking to change that also. I don't have any hands on experience with PB 7.x but from what I heard and read it hasn't been that great. I've been using PB 6.5 since build 444 and was thinking of recommending that they make the move to 6.5 first and then wait for PB 8.0 later this year. Any thoug...

Web resources about - MRU in PB 5.0.03 - sybase.powerbuilder.general

MRU - Wikipedia, the free encyclopedia
Text is available under the Creative Commons Attribution-ShareAlike License ;additional terms may apply. By using this site, you agree to the ...

MRU-Blaster helps protect your privacy
... want other users of your PC to see exactly which documents you’ve been accessing recently, you may want to use a third-party tool, like MRU-Blaster ...

MRU
New classes at Marginal Revolution University on housing, Mexico, the EuroZone, and the economics of the media.

MRU Collectibles!
Come to the MRU booth in the exhibit hall for at the AEA convention for coffee between 2 and 4pm today and collect economist cereal boxes!

MRU-Blaster: Clear Most Recently Used Lists From Your Windows PC
When you are using the internet, everything you are doing is getting recording. Every page you visit and every word or phrase you key in, is ...

Liberia: Germany to Expand Bilateral Technical Assistance to Liberia
allAfrica: African news and information for a global audience

Google Local for Mobile: bellwether Java cell phone applet
The new Google Local for Mobile is a compelling little demonstration of what a Java cell phone applet can do. It's carefully tuned to the constraints ...

Gross Video of The Night: Joe Rogan Supportively Shouts at Chicks Swallowing Donkey Semen
( Props: BitchCombo via MRuss ) When our favorite UFC commentator (and stand-up comedian/actor/television show host) Joe Rogan came back with ...

CodeGuru - Microsoft developers related ideas, articles, tips, tricks, comments, downloads, and so much ...
CodeGuru is where developers can come to share ideas, articles, questions, answers, tips, tricks, comments, downloads, and so much more related ...

MRU-Blaster 1.5 free download - Software reviews, downloads, news, free trials, freeware and full commercial ...
... Buy the new TuneUp Utilities 2013 for only $17.95, with lifetime license, saving 55% from MSRP, only from store.downloadcrew.com MRU-Blaster ...

Resources last updated: 1/1/2016 7:16:37 AM